Camtasia 2018 System Requirements

Camtasia (Windows)

  • Microsoft Windows 7 SP1, Windows 8.1, and Windows 10 (Required: 64 Bit versions only). (Recommended: Windows 10)
  • 2.0 GHz CPU with dual-core processor minimum (Recommended: 2.8 Ghz 6th Generation Intel® Core™ i5 Processor with 4 CPU Cores or better or equivalent or better AMD processor)
  • Integrated graphics is acceptable however 4K and/or 60 FPS media will perform best with discrete graphics cards
  • 4 GB RAM minimum (Recommended: 16 GB or more)
  • 2 GB of hard-disk space for program installation
  • Display dimensions of 1024x768 or greater
  • Microsoft .NET 4.6.0 or later version (included)
  • Dedicated Windows-compatible sound card, microphone, and speakers (Recommended)
  • Windows N requires the MediaFeature Pack for Windows N

 

Feature-specific requirements (Windows) ›

Feature-specific requirements (Windows)

  • Powerpoint Import and Camtasia Add-in for PowerPoint require PowerPoint 2013, 2016 (32-bit or 64-bit)
  • Playback using the Smart Player is supported on Internet Explorer 11+, Microsoft Edge (Windows 10 Anniversary Update or later), latest version for Chrome, Firefox, and Safari, iOS 11+ (Safari), Android 5+ (Latest Chrome required)
  • Camera video recording requires a USB Web Camera
  • Integration with TechSmith Relay requires TechSmith Relay Client Recorder
  • GPU acceleration requires DirectX compatible video adapter with 128 MB of video memory or greater and Pixel Shader 4.0 or later
  • Guidelines for 4K, 60 FPS, and Behaviors

Camtasia (Mac)

  • Mac computer with an Intel® Core™ i5 Processor with 4 CPU Cores (Recommended: 2.8 Ghz Intel® Core™ i5 Processor with 4 CPU Cores or better)
  • MacOS 10.11 or later (Rendering is not supported on external USB monitors)
  • 4GB of RAM (Recommended: 8GB of RAM or greater)
  • 4GB of available disk space (minimum)
  • Powerpoint Import requires PowerPoint 2016 for Mac
  • Playback using the Smart Player is supported on Internet Explorer 11+, Microsoft Edge (Windows 10 Anniversary Update or later), latest version for  Chrome, Firefox, and Safari, iOS 11+, Android 5+ (Latest Chrome required)